<?php
/**
 * Drive
 *
 * @copyright Copyright © 2019 Drop. All rights reserved.
 * @author    c.pieroni@drop.it
 */

namespace Drop\GoogleApiAdapter\Model;

/**
 * Class Connection
 *
 * @todo: Remove this and let user choose which service enable
 *
 * @package Drop\GoogleApiAdapter\Model
 */
class Connection extends AbstractConnection
{

    /**
     * @var \Drop\GoogleApiAdapter\Helper\Data
     */
    private $helper;

    /**
     * Connection constructor.
     * @param \Drop\GoogleApiAdapter\Helper\Data $helper
     */
    public function __construct(
        \Drop\GoogleApiAdapter\Helper\Data $helper
    )
    {
        $this->helper = $helper;
        $this->setScopes();

        parent::__construct($helper);

    }

    public function setScopes() {
        $this->scope = $this->helper->getAllScopesAsArray();
    }

}
